#ifdef GBUFFERS_TERRAIN
    smoothnessG = pow2(pow2(color.r));
#else
    smoothnessG = pow2(color.r);
#endif
highlightMult = smoothnessG * 5.0;
smoothnessD = smoothnessG * 1.1;
smoothnessD = min(smoothnessD, 1.0);
materialMask = OSIEBCA; // Intense Fresnel

color.rgb *= 0.6 + 0.5 * GetLuminance(color.rgb);

#ifdef COATED_TEXTURES
    noiseFactor = 0.33;
#endif